#!/bin/bash

redis-server --daemonize yes

if [ -z "$MODEL_DIR" ]; then
  export MODEL_DIR="/models/GPT-SoVITS"
fi

if [ -z "$NLTK_DATA" ]; then
  export NLTK_DATA="/models/GPT-SoVITS/nltk_data"
fi

if [ -z "$bert_path" ]; then
  export bert_path="${MODEL_DIR}/chinese-roberta-wwm-ext-large"
fi

cd GPT-SoVITS && python3 gsv_server.py
